Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236223 - Monitor stays disconected after recovering from Suspend (acer aspire 2020 laptop)
Summary: Monitor stays disconected after recovering from Suspend (acer aspire 2020 lap...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: acpid
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zdenek Prikryl
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-12 15:47 UTC by FranciscoMendonça
Modified: 2008-08-02 23:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-07 23:44:14 UTC


Attachments (Terms of Use)
/var/log/messages (deleted)
2007-05-16 19:56 UTC, FranciscoMendonça
no flags Details

Description FranciscoMendonça 2007-04-12 15:47:30 UTC
Description of problem:
Monitor stays disconnected after recovering from Suspend on Acer Aspire 2020

Version-Release number of selected component (if applicable):
Latest version available for FC7-T3 on yum.

How reproducible: Just suspend trough System/Suspend. Computer will suspend
normally but when resuming the monitor stays off (no glow when all lights on the
room are turned off, so it isn't a black screen). I think everything else is ok
because I can ctrl+alt+del to reboot normaly and restart the monitor.

  
Actual results: Monitor doesn't connect when recovering from suspend.


Expected results: A working system.


Additional info: 
-Acer Aspire 2020 laptop with Ati mobility radeon card using X drivers.
- Uncommented line "event=video.*
action=/usr/sbin/vbetool dpms on" video.conf with no results.

Comment 1 Phil Knirsch 2007-05-16 15:09:20 UTC
Have you tried suspending from the text console?

Thanks,

Read ya, Phil

Comment 2 FranciscoMendonça 2007-05-16 19:56:20 UTC
Created attachment 154867 [details]
/var/log/messages

I didn't know how to suspend from console. I googled for it and came with
suspend -f which just hanged the terminal and echo -n mem > /sys/power/state
which suspended the computer and presented a similar result to the one that I
already explained. The only difference was that I could not blind
reboot/shutdown and had to press the power button.

I attached my dmesg. It is bigger than it should because it contains the boot
sequence (I really couldn't found where it started) I hope it helps.

Let me know if I can be of further assistance.
Best regards,
Francisco Mendonça

Comment 3 Daniel Qarras 2007-06-01 17:07:20 UTC
I guess this is related to Bug 242090.

Comment 4 Doncho Gunchev 2007-06-01 17:41:47 UTC
Does 'pm-suspend --quirk-vbe-post' (or any other option from pm-suspend --help)
from console as root help? If so I can help you create a patch for hal-info.

You can also press ctrl-alt-f1, login as root and try 'pm-suspend' with all/any
option. Get
http://koji.fedoraproject.org/packages/pm-utils/0.99.3/6.fc8/i386/pm-utils-0.99.3-6.fc8.i386.rpm
and install that (rpm -Uhv pm-utils-0.99.3-6.fc8.i386.rpm), the f7 package has
no vbetool (should be fixed soon).

Comment 5 Daniel Qarras 2007-06-01 18:25:52 UTC
This is probably trivial to solve, have a look at Bug 242090 to see how suspend
was fixed with Acer Aspire 1692.

Comment 6 FranciscoMendonça 2007-06-01 20:35:11 UTC
To my surprise pm-utils-0.99.3-6.fc8.i386.rpm was already installed on my system.
pm-suspend --quirk-vbe-post suspended ok and my heart missed a beat after seeing
the monitor flashing, after that though it stayed black. The flash was from a
terminal in gnome. Under root ctrl+alt+F# it gave me nothing. I'm currently
trying all the options, --quirk-vbestate-restore gave the better/worse results,
under gnome I recovered from suspend into an ugly messed up screen (not black)
and I had no system, or at least I could not blind reboot. Under root
ctrl+alt+F# another black screen.

I'll keep you posted when i finish testing the other options.

May te failure of --quirk-vbe-post be because of an Uncommented line "event=video.*
action=/usr/sbin/vbetool dpms on" video.conf with no results.
I can't remember how I left it. I'll check it out when I finish all the options.
'till then.





Comment 7 Zdenek Prikryl 2007-08-09 13:25:36 UTC
So, what is a state of your problem in main release of Fedora 7?

Comment 8 FranciscoMendonça 2007-09-12 00:09:57 UTC
(In reply to comment #7)
> So, what is a state of your problem in main release of Fedora 7?

Same problem. This probably has nothing to do with fedora but with acpi in
linux, or whatever it uses to suspend.

Anyway I've read on linux.com that ati will provide AIGLX capable drivers next
month and I'll try again with those (maybe it's graphic card thing).
You can also count me in for trying to reproduce this bug as soon Fedora 8
reaches test 3 or 4.

Best regards to all.



Comment 9 Zdenek Prikryl 2008-01-25 08:48:14 UTC
Hello,
I made some tests with ati cards and suspending. Results was quite good. Please,
try to suspend your laptop with radeonhd as a driver in xorg.conf.

Or, install new fglrx driver (version 8.01) and make sure, that you have the
kernel 2.6.23 or higher. Don't forget to  update xorg.conf.

In both cases try tu suspend with this command:
$ pm-suspend --quirk-radeon-off



Comment 10 Bug Zapper 2008-05-14 02:45:49 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 11 Jon Stanley 2008-06-07 23:44:14 UTC
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.


Note You need to log in before you can comment on or make changes to this bug.